aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAvatar David Leverton <levertond@googlemail.com> 2008-08-10 21:40:42 +0100
committerAvatar David Leverton <levertond@googlemail.com> 2008-08-10 21:40:42 +0100
commitf6ca0cbe39e6312d71ed3fdd9692d088ce2cadd1 (patch)
tree2b492443f47cbb568858079fc9d018cb685568e0
parent50eefb0b6b3cefe9b9c6ed1f90d355c6440a4802 (diff)
downloadpaludis-f6ca0cbe39e6312d71ed3fdd9692d088ce2cadd1.tar.gz
paludis-f6ca0cbe39e6312d71ed3fdd9692d088ce2cadd1.tar.xz
Tweak tests.
-rw-r--r--paludis/repositories/e/e_repository_TEST.cc9
-rwxr-xr-xpaludis/repositories/e/e_repository_TEST_setup.sh15
2 files changed, 23 insertions, 1 deletions
diff --git a/paludis/repositories/e/e_repository_TEST.cc b/paludis/repositories/e/e_repository_TEST.cc
index f78d6c8..bce4812 100644
--- a/paludis/repositories/e/e_repository_TEST.cc
+++ b/paludis/repositories/e/e_repository_TEST.cc
@@ -1989,6 +1989,15 @@ namespace test_cases
}
{
+ TestMessageSuffix suffix("doman nofatal", true);
+ const std::tr1::shared_ptr<const PackageID> id(*env[selection::RequireExactlyOne(generator::Matches(
+ PackageDepSpec(parse_user_package_dep_spec("=cat/doman-nonfatal-0",
+ &env, UserPackageDepSpecOptions()))))]->last());
+ TEST_CHECK(id);
+ id->perform_action(action);
+ }
+
+ {
TestMessageSuffix suffix("doman failure", true);
const std::tr1::shared_ptr<const PackageID> id(*env[selection::RequireExactlyOne(generator::Matches(
PackageDepSpec(parse_user_package_dep_spec("=cat/doman-failure-0",
diff --git a/paludis/repositories/e/e_repository_TEST_setup.sh b/paludis/repositories/e/e_repository_TEST_setup.sh
index b8966fa..a1e7d29 100755
--- a/paludis/repositories/e/e_repository_TEST_setup.sh
+++ b/paludis/repositories/e/e_repository_TEST_setup.sh
@@ -1887,7 +1887,6 @@ src_compile() {
src_install() {
doman foo.* dir/foo.* || die
- nonfatal doman bar.1 && die
doman -i18n=en_GB baz.* || die
keepdir /meh || die
cd "\${D}"/meh || die
@@ -1917,6 +1916,20 @@ src_install() {
doman bar.m
}
END
+mkdir -p "packages/cat/doman-nonfatal"
+cat <<END > packages/cat/doman-nonfatal/doman-nonfatal-0.ebuild || exit 1
+DESCRIPTION="The Description"
+HOMEPAGE="http://example.com/"
+SRC_URI=""
+SLOT="0"
+MYOPTIONS="spork"
+LICENSE="GPL-2"
+PLATFORMS="test"
+
+src_install() {
+ nonfatal doman bar.1 && die
+}
+END
cd ..
mkdir -p repo15/{eclass,distfiles,profiles/profile/subprofile} || exit 1